Bug 270661 - need a way to disable ide drivers
need a way to disable ide drivers
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gerd Hoffmann
Martin Jenner
:
Depends On:
Blocks: RHEL4u7_relnotes
  Show dependency treegraph
 
Reported: 2007-08-31 06:13 EDT by Gerd Hoffmann
Modified: 2008-07-24 15:15 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2008-0665
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:15:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch intoduces ide=disable (2.28 KB, patch)
2007-08-31 06:13 EDT, Gerd Hoffmann
no flags Details | Diff

  None (edit)
Description Gerd Hoffmann 2007-08-31 06:13:08 EDT
+++ This bug was initially created as a clone of Bug #247982 +++

Description of problem:
We want be able to run RHEL-5 fully virtualized guests with paravirtualized
drivers.  Xen emulates a IDE disk controller (PIIX3) which is driven by the
drivers/ide/ subsystem in RHEL-5.

The ide drivers are compiled statically, thus it is impossible to select ide vs.
paravirtualied driver by module load order.  That in turn requires an kernel
command line option to disable the ide drivers so the paravirtual driver can
step in.

As the paravirtual drivers are optional we can't automatically disable ide for
the xen disk controller, although it can easily be identified by pci subsystem id.

-- Additional comment from kraxel@redhat.com on 2007-07-12 10:26 EST --
Created an attachment (id=159061)
patch intoduces ide=disable


-- Additional comment from pm-rhel@redhat.com on 2007-08-30 12:07 EST --
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 1 Gerd Hoffmann 2007-08-31 06:13:08 EDT
Created attachment 183021 [details]
patch intoduces ide=disable
Comment 2 Gerd Hoffmann 2007-08-31 06:14:39 EDT
RHEL-4 needs this too for the pv-on-hvm drivers ...
Comment 4 RHEL Product and Program Management 2008-01-16 16:07:25 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Vivek Goyal 2008-01-22 19:12:08 EST
Committed in 68.8
Comment 8 Don Domingo 2008-05-14 22:57:00 EDT
added to RHEL4.7 Driver Updates:

<quote>

ide: driver updated to include ide=disable, a kernel PCI module parameter that
can be used to disable ide drivers.
</quote>

please advise if any further revisions are required. thanks!
Comment 9 Don Domingo 2008-06-02 19:14:54 EDT
Hi,

the RHEL4.7 release notes deadline is on June 17, 2008 (Tuesday). they will
undergo a final proofread before being dropped to translation, at which point no
further additions or revisions will be entertained.

a mockup of the RHEL4.7 release notes can be viewed here:
http://intranet.corp.redhat.com/ic/intranet/RHEL4u7relnotesmockup.html

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.

Cheers,
Don
Comment 12 errata-xmlrpc 2008-07-24 15:15:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0665.html

Note You need to log in before you can comment on or make changes to this bug.